
public class Book
{
   private String catNumber;
   private String title;
   private String author;
   private Borrower currentBorrower;

   public Book( String c, String t, String a )
   {
      this.catNumber = c;
      this.title = t;
      this.author = a;
      this.currentBorrower = null;
   }
   
   public void setBorrower( Borrower b )
   {
   	   this.currentBorrower = null;
   }

   public boolean borrow( Borrower b )
   {
   	  if (isAvailable())
   	  {
          this.currentBorrower = b;
          if ( b.borrowAllowed() )
          {
          	 b.addBook( this );
          	 return true;
          }
          else
             return false;
   	  }
   	  else
   	      return false;
   }

   public void returnBook()
   {
      this.currentBorrower.removeBook( this );
      this.currentBorrower = null;

   }

   public boolean isAvailable()
   {
      if ( currentBorrower == null )
         return true;
      else
         return false;
   }

   public void printBook()
   {
      System.out.println( catNumber + " - " + title );
   }

}
